Skip to content

Import Custom Image

POST
/api/v1/images/import-image/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/images/import-image/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"image_name": "Window_Image_BIOS",
"public_url": "https://bucket_name.objectstore.e2enetworks.net/test.img",
"location": "Delhi",
"os": "CentOS"
}'

This API allows users to import a custom VM image from a public object storage URL.
The image will be available under the user’s account for use with compute resources.

For genreating public url of image:

Make sure to check the prerequisites for importing an image to E2E Cloud platform.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
image_name
required

Name to assign to the imported image

string

Example

Window_Image_BIOS
public_url
required

Publicly accessible URL of the image file

string format: uri

Example

https://bucket_name.objectstore.e2enetworks.net/test.img
location
required

Region in which to import the image

string

Example

Delhi
os
required

Operating system type of the custom image

string
Allowed values: Windows_bios Windows_uefi CentOS

Example

CentOS

Response